gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2002-000192

PostgreSQL の lpad および rpad() 関数における任意のコードを実行される脆弱性

4.6
2007/04/01 00:00
CVE-2002-0972

JVNDB-2002-000192

PostgreSQL の lpad および rpad() 関数における任意のコードを実行される脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ PostgreSQL 7.2.1 以前には複数のバッファオーバーフローの問題が存在します。 PostgreSQL 7.2.1 以前に実装されている date パーサ、SET TIME ZONE 構文の解釈部、TZ 環境変数の解釈部、および repeat() 関数には付与される引数の値の取り扱いに問題が存在します。 この問題を利用して、ローカルの攻撃者は、date パーサ、SET TIME ZONE 構文の解釈部、TZ 環境変数の解釈部に不適切な値を付与することにより、バッファオーバーフローを発生させ PostgreSQL の権限で任意のコードが実行出来る可能性が存在します。 同様に repeat() 関数の第 2 引数に非常に大きな値を指定して select 文を実行した場合にヒープ領域でオーバーフローが発生する問題が存在します。 結果として、ローカルの攻撃者は PostgreSQL の権限で任意のコードを実行することが可能です。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2002-000192は、ベンダ情報及び参考情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度4.6N/A
CVECVE-2002-0972
公表日2002/08/18 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。